<script setup lang="ts">
import { ref } from "vue";
import type { VForm } from "vuetify/components";
import { useLoginStore } from "@/stores/login";
import { useEmpStore } from "@/stores/employee";

const empStore = useEmpStore();
const loginStore = useLoginStore();

const loginName = ref("");
const password = ref("");
const valid = ref(true);
const form = ref<InstanceType<typeof VForm> | null>(null);
const login = async () => {
  const { valid } = await form.value!.validate();
  if (valid) {
    console.log(empStore.getEmp());
    loginStore.login(loginName.value, password.value);
    console.log(loginName.value, password.value);
  }
};
const reset = () => {
  form.value?.reset();
};
</script>

<template>
  <v-app>
    <!-- <v-main class="bg-purple-lighten-4 pa-16"> -->
    <v-main>
      <!-- <v-parallax
        src="https://images.unsplash.com/photo-1555396273-367ea4eb4db5?ixlib=rb-4.0.3&ixid=MnwxMjA3fDB8MHxzZWFyY2h8NXx8cmVzdGF1cmFudHxlbnwwfHwwfHw%3D&w=1000&q=80"
      > -->
      <v-parallax
        src="https://www.nrn.com/sites/nrn.com/files/KatsuyaGifNEW_1.gif"
      >
        <v-card width="470px" class="mx-auto mt-sm-16">
          <v-card-title
            primary-title
            class="text-center text-h4 font-weight-bold pa-5 justify-center"
          >
            LOGIN
          </v-card-title>
          <v-card-text>
            <v-form ref="form" v-model="valid">
              <v-text-field
                label="UserName"
                v-model="loginName"
                :rules="[
                  (v) => !!v || 'UserName is required',
                  (v) =>
                    v.length >= 4 ||
                    'Name must be more than or equal 4 characters',
                ]"
                required
              ></v-text-field>
              <v-text-field
                label="Password"
                type="password"
                v-model="password"
                :rules="[
                  (v) => !!v || 'Password is required',
                  (v) =>
                    v.length >= 8 ||
                    'Password must be more than or equal 8 characters',
                ]"
                required
              ></v-text-field>
            </v-form>
          </v-card-text>
          <v-card-actions class="justify-center">
            <v-btn
              color="success"
              @click="login"
              class="bg-green-lighten-4 mr-4"
              >Login</v-btn
            >
            <v-btn color="error" @click="reset" class="bg-red-lighten-4"
              >Clear</v-btn
            >
          </v-card-actions>
        </v-card>
      </v-parallax>
    </v-main>
  </v-app>
</template>
